Subject: Re: bug#77944: 31.0.50; M-x man on macOS fails with error

From: "Paul D. Nelson" <[email-masked]>
Date: Mon, 16 Jun 2025 12:01:36 +0200

Eli Zaretskii <[email-masked]> writes:
> Can someone please provide a comprehensive answer to this: does "M-x
> man" always fail on all supported versions of macOS?  If not, which
> versions are affected?

M-x man works for me on macOS (Sequoia 15.1.1) with a relatively recent
master (3927402af0a) and no special configuration.  In a given Emacs
session, the first time time I do M-x man, it takes a long time (15+
seconds) before it prompts me to choose a manual entry, but each
subsequent use is responsive, and there are no errors.

$ which sed
/usr/bin/sed